AMP(1)

NAME
amp - decompress and play MPEG audio files

SYNOPSIS
amp [ options ] [ MPEG audio streams ]

amp -convert [ MPEG audio stream ] [ output file ]

DESCRIPTION

amp plays named MPEG audio files, or (if invoked with -convert option) decompresses a file to wave format. amp is capable of decoding both MPEG-1 and MPEG-2 audio bitstreams, but only layer3.

OPTIONS
The options are:

-h,-help
    display this usage information and exit

-v,-version
    display the version information and exit

-c,-convert
    convert the MPEG audio stream to output file format

-p,-play
    play the specified MPEG audio streams (default action)

-q,-quiet
    supress printing of messages to STDERR

-d,-dump
    dump (print) raw mpeg data to stdout

-s,-frame
    show a frame counter

-g,-gui
    output messages to stdout instead of stderr (for use with xmpeg3 or similar GUIs)

-w  wav output

-nobuffer
    do not use an audio buffer

-volume <vol>
    set the volume to <vol> (0-100)

-debug <opts..>
    When compiled in debug <opt, opt2,...> code sections. Options: audio, args, buffer, buffer2, misc, misc2

ENVIRONMENT

No special environment variables.

AUTHOR
Tomislav Uzelac <tuzelac@rasip.fer.hr>, with help from Karl Anders Oygard, Ilkka Karvinen, Lutz Vieweg, Dan Nelson, Edouard Lafargue, Andrew Richards, George Colouris, Dmitry Boldyrev, Andy Lo A Foe, Thomas Sailer, Justin Frankel

BUGS
Still too many to document :-)